
package org.sky.scientific.wrapper;

import org.sky.core.mp.support.BaseEntityWrapper;
import org.sky.core.tool.utils.BeanUtil;
import org.sky.scientific.pojo.entity.YfzdEntity;
import org.sky.scientific.pojo.vo.YfzdVO;
import java.util.Objects;

/**
 * 研发制度 包装类,返回视图层所需的字段
 *
 * @author Kd
 * @since 2025-06-29
 */
public class YfzdWrapper extends BaseEntityWrapper<YfzdEntity, YfzdVO> {

	public static YfzdWrapper build() {
		return new YfzdWrapper();
 	}

	@Override
	public YfzdVO entityVO(YfzdEntity yfzd) {
		YfzdVO yfzdVO = Objects.requireNonNull(BeanUtil.copyProperties(yfzd, YfzdVO.class));

		//User createUser = UserCache.getUser(yfzd.getCreateUser());
		//User updateUser = UserCache.getUser(yfzd.getUpdateUser());
		//yfzdVO.setCreateUserName(createUser.getName());
		//yfzdVO.setUpdateUserName(updateUser.getName());

		return yfzdVO;
	}


}
